<div class="client-awaiting-placement">
  <app-content-banner [isDashboard]="false" pageName="Client Awaiting Placement [ {{numberOfCAP}} ]">
  </app-content-banner>
  <mat-card class="cap-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <div fxLayout="row" class="header-banner stat-filters">
        <span
          (click)="selectCounterFilter('isHUDandSVAHigh', clientAwaitingPlacementCounterFlags.numberOfHUDandSVAHigh)"><b>HUD
            Chronic & SVA high:&nbsp; </b> <span>
            {{clientAwaitingPlacementCounterFlags.numberOfHUDandSVAHigh}}</span></span>
        <span
          (click)="selectCounterFilter('pendingReferrals1', clientAwaitingPlacementCounterFlags.numberOfNoPendingReferrals)"><b>Clients
            with no pending referrals:&nbsp; </b>
          <span>{{clientAwaitingPlacementCounterFlags.numberOfNoPendingReferrals}}</span></span>
        <span
          (click)="selectCounterFilter('isReferralHold', clientAwaitingPlacementCounterFlags.numberOfReferralHold)"><b>Referral
            hold clients:&nbsp; </b> <span> {{clientAwaitingPlacementCounterFlags.numberOfReferralHold}}</span></span>
        <span (click)="selectCounterFilter('isHUD', clientAwaitingPlacementCounterFlags.numberOfCoCEligible)"><b>CoC
            eligible:&nbsp; </b> <span> {{clientAwaitingPlacementCounterFlags.numberOfCoCEligible}}</span></span>
        <span (click)="selectExpiryDateInWeekFilter()"><b>Approval Expiry Date in a week:&nbsp; </b> <span>
            {{clientAwaitingPlacementCounterFlags.numberOfApprovalExpiryInAWeek}}</span></span>
      </div>
    </mat-card-header>
    <mat-card-content>
      <div class="example-small-box mat-elevation-z4" fxLayout="column">
        <div class="table-filters-header" fxLayout="column">
          <div fxLayout="row" fxLayoutAlign="start">
            <div fxLayoutAlign="start" fxFlex="auto" style="padding: 8px; font-weight: 600;"><span
                *ngIf="flagClicked != ''">List of Clients with {{ flagClicked}}</span></div>
            <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
              <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
              </mat-icon>
              <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
              <mat-icon color="primary" [matMenuTriggerFor]="clapFilters" matTooltip="Advanced filters">find_in_page</mat-icon>
              <!-- <mat-icon color="primary" [matMenuTriggerFor]="clapFilters" matTooltip="Advanced filters">filter_alt</mat-icon> -->
            </div>
            <mat-menu #clapFilters="matMenu" class="clap-filter-menu">
              <div (click)="$event.stopPropagation()" (keydown)="$event.stopPropagation()">
                <form [formGroup]="clapFilterGroup" class="clap-filter-form" fxLayoutGap="16px">
                  <mat-form-field>
                    <mat-label>Referred to HP(s): </mat-label>
                    <mat-select placeholder="Select" formControlName="referredToHpCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItemsYN" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>Gender: </mat-label>
                    <mat-select placeholder="Gender" formControlName="genderCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of genderTypes" [value]="item.refGroupDetailDescription">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <!-- <mat-form-field class="age">
                    <mat-label>Age From: </mat-label>
                    <input matInput formControlName="ageFromCtrl" digitOnly autocomplete="off">
                  </mat-form-field>
                  <mat-form-field class="age">
                    <mat-label>Age To: </mat-label>
                    <input matInput formControlName="ageToCtrl" digitOnly autocomplete="off">
                  </mat-form-field> -->

                  <mat-form-field class="boro">
                    <mat-label>Boro Pref 1: </mat-label>
                    <mat-select placeholder="Boro Pref 1" formControlName="boroPref1Ctrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of boroTypes" [value]="item.refGroupDetailDescription">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>
                  <mat-form-field class="boro">
                    <mat-label>Boro Pref 2: </mat-label>
                    <mat-select placeholder="Boro Pref 2" formControlName="boroPref2Ctrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of boroTypes" [value]="item.refGroupDetailDescription">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>HUD: </mat-label>
                    <mat-select placeholder="HUD" formControlName="hudCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItemsYN" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>Veteran: </mat-label>
                    <mat-select placeholder="Veteran" formControlName="veteranCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItemsYN" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>DomesticViolence: </mat-label>
                    <mat-select placeholder="DomesticViolence" formControlName="dvCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItemsYN" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>HouseHold Composition: </mat-label>
                    <input matInput formControlName="householdCompositionCtrl" digitOnly autocomplete="off">
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>Housing Type: </mat-label>
                    <mat-select placeholder="Housing Type" formControlName="housingTypeCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of housingTypes" [value]="item.refGroupDetailDescription">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>Mobility Impairment: </mat-label>
                    <mat-select placeholder="Mobility Impairment" formControlName="mobilityImpairmentCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItems" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>WheelChair Accessible: </mat-label>
                    <mat-select placeholder="WheelChair Accessible" formControlName="wheelChairAccessibleCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItems" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field>
                    <mat-label>Substance Use: </mat-label>
                    <mat-select placeholder="Substance Use" formControlName="substanceUseCtrl">
                      <mat-option [value]="0">All</mat-option>
                      <mat-option *ngFor="let item of responseItemsYN" [value]="item.refGroupDetailID">{{item.refGroupDetailDescription}}</mat-option>
                    </mat-select>
                  </mat-form-field>
                </form>
              </div>
            </mat-menu>
          </div>
        </div>
        <div class="example-container mat-elevation-z4">
          <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid"
            [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData" [context]="context"
            [rowSelection]="rowSelection" [animateRows]="true" [gridOptions]="gridOptions" [pagination]="true"
            [paginationPageSize]="10" (filterChanged)="onFilterChanged($event)"
            (firstDataRendered)="onFirstDataRendered($event)" [frameworkComponents]="frameworkComponents"
            (gridReady)="onGridReady($event)">
          </ag-grid-angular>
          <div fxLayout="row" class="grid-footer">
            <div class="foot-notes" fxLayoutAlign="start" fxFlex="auto"> <span class="color-grade"></span> Referral Hold
              Clients</div>
            <div class="paging-size-header" fxLayoutAlign="end" fxFlex="auto">
              Show&nbsp;&nbsp;
              <select [(ngModel)]="noOfRowCounter" (change)="onPageSizeChanged()">
                <option *ngFor="let size of pageSizes; index as i; last as isLast" value="{{size.pageSize}}">
                  {{isLast ? 'All' : size.pageSize}}</option>
                <!-- <option value="25" selected>25</option>
                <option value="50">50</option>
                <option value="5000">All</option> -->
              </select>
              <span>&nbsp;&nbsp;Entries</span>
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
